﻿@using SportsClub.Areas.Dashboard.Models
@model AddDistrictViewModel
@{
    Layout = null;
}
<style>
    .icon {
        margin-left: 3px;
        padding: 2px 0;
        font-size: 14px;
        color: #006cc2;
        display: inline-block;
        position: relative;
        z-index: 9;
        cursor: pointer;
    }

    .icon-msg-box {
        bottom: 34px;
        width: 300px;
        padding: 15px;
        position: absolute;
        background-color: #006cc2;
        color: #fff;
        border-radius: 4px;
        display: none;
        z-index: 8;
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Add district
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
            <label class="req-star" for="@Html.Ang(m => m.Name)">Name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Name)" ng-model="@Html.Ang(m => m.Name)" @Html.AngTooltipValidationFor(model => model.Name) />
            </div>
        </div>
        <div class="clearfix"></div>
        <label class="req-star">Address</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address)>
            <input ng-model="@Html.Ang(model => model.Address)" id="@Html.Ang(m => m.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="MC.mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address) />
        </div>
        <div class="clearfix"></div>
        <div class="span6 inline-form-text">
            <label class="req-star inline-block">Domain at jumbula.com</label>
            <div style="display:inline-block;position:relative;vertical-align: middle;">
                <i class="jbi-info on-left-more icon"></i>
                <div class="icon-msg-box">
                    The unique domain name serves as the main page for this school disctrict on jumbula.com. Do not use special characters (&, #, etc.) or spaces.
                </div>
            </div>
        </div>

        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Domain)>
            <input type="text" placeholder="e.g. schoolDistrictDomain" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Domain)" ng-model="@Html.Ang(m => m.Domain)" @Html.AngTooltipValidationFor(model => model.Domain) />
        </div>
        <div class="clearfix"></div>
        <label class="req-star">Time zone</label>
        <div class="input-control select" id="timeZoneDiv1" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTimeZone)>
            <div id="timeZoneDiv2" @Html.AngTooltipValidationFor(model => model.SelectedTimeZone)>
                <select ng-options="obj.Value as obj.Text for obj in Model.OrganizationTimeZone"
                        id="SelectTimeZone"
                        ng-model="@Html.Ang(m => m.SelectedTimeZone)"></select>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="submit" id="btn_save" class="success large place-right button" ng-click="save()">Submit</button>
    <div class="clearfix"></div>
</div>
